version: '2.0'

volumes:
  data: 
  database:

services:
  mongodb:
    image: 'mongo:latest'
    restart: always
    volumes:
      - 'database:/data/db'
    environment:
      MONGO_INITDB_ROOT_USERNAME: mongo_user
      MONGO_INITDB_ROOT_PASSWORD: ^zTr57e5Wo6H
    ports:
      - '8081:27017'

  redis:
    image: 'redis:latest'
    restart: always
    volumes:
      - 'data:/data'
    ports:
      - '6379:6379'

  rabbitmq:
    image: 'rabbitmq:latest'
    restart: always
    ports:
      - '15672:15672'
      - '5672:5672'

  mongoku:
    image: huggingface/mongoku
    restart: always
    environment:
      MONGOKU_DEFAULT_HOST: "mongodb://mongo_user:%5EzTr57e5Wo6H@mongodb:27017"  # MongoDB service name is used as hostname
    ports:
      - '3005:3100'
